Storyden
Nodes

Node Generate Content

Generate proposed content for the specified node. Will not actually mutate the specified node, instead will return a proposal based on the output from a language model call.

POST
/nodes/{node_slug}/content

Generate proposed content for the specified node. Will not actually mutate the specified node, instead will return a proposal based on the output from a language model call.

Authorization

cookiestoryden-session<token>

Path Parameters

node_slug*string

Unique node Slug.

Formatxid

Request Body

application/json
  1. body

A request for generated content for a node. A request for generated content does not use the existing content on a node but takes the current client's content state (from an "edit mode" text box for example) and sends that in order to generate potential content using an LLM.

content*string

Response Body

Node content generated.

application/json
  1. response

The result of a content generation request from an LLM.

content*string
Example Request
curl -X POST 'https://example.com/api/nodes/string/content' \  -H 'Content-Type: application/json' \  -d '{  "content": "string"}'
Example Response
{  "content": "string"}